:root {
    /* --primary: #FFCA00; */
    --primary: #ff6a6a;
    --secondary: #383838;
    --light: #eeeeee;
    /* --dark: #222222; */
    --dark: #1d1d1d;
}

::-webkit-scrollbar {
    width: 6px;
}


/* Track */

::-webkit-scrollbar-track {
    background: var(--dark);
}


/* Handle */

::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 5px;
}


/* Handle on hover */

::-webkit-scrollbar-thumb:hover {
    background: #555;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Rubik', sans-serif;
}

body {
    background-color: var(--dark) !important;
    padding-top: 4.5rem;
    color: var(--light);
}

h1 {
    color: #fff;
}

select {
    padding: 0.5rem;
    font-size: 1rem;
    font-weight: 400;
    border-radius: 4px;
}


/* Navbar */

nav {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 100;
    padding: 0 2rem 0 2rem;
    height: 4.5rem;
    background-color: var(--dark);
    border-bottom: 0.1rem solid var(--secondary);
}

.dropdown-content .dropdown-btn{
    padding: 12px 16px;
    font-size: 0.8rem;
}

.container-menu {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logotipo img {
    height: 2.5rem;
}

.hamburger {
    display: block;
    position: relative;
    z-index: 1;
    user-select: none;
    border: none;
    outline: none;
    background: none;
    cursor: pointer;
}

.hamburger span {
    display: block;
    width: 33px;
    height: 4px;
    margin-bottom: 5px;
    position: relative;
    background-color: var(--light);
    border-radius: 6px;
    z-index: 1;
    transform-origin: 0 0;
    transition: 0.4s;
}

.menu {
    display: none;
    height: 100%;
    flex: 1 1 0%;
    justify-content: flex-start;
    margin: 0 1rem;
}

.menu a {
    display: flex;
    align-items: center;
    height: 100%;
    align-items: center;
    font-weight: 600;
    font-size: 0.8rem;
    padding: 0 1rem;
    text-transform: uppercase;
    text-decoration: none;
    transition: 0.4s;
    color: var(--light);
}

.menu a.activo,
.menu #menu-liga .dropbtn .activo,
.menu a:hover {
    color: var(--primary);
    border-bottom: 1px solid var(--primary);
}


/* Container */

.container {
    position: relative;
    display: flex;
    flex-direction: column;
    z-index: 99;
    padding: 0 1rem 0 1rem;
}


/* Botones */

.boton {
    min-width: 10rem;
    padding: 1rem 1rem;
    font-size: 1rem;
    font-weight: 600;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.boton-primary {
    background-color: var(--primary) !important;
    color: var(--dark)
}


/* Sidenav */

.sidenav a.activo {
    color: var(--primary);
}

.sidenav a:hover {
    color: #f1f1f1;
}

.sidenav {
    /* display: none; */
    height: 100%;
    width: 300px;
    position: fixed;
    z-index: 1000;
    top: 0;
    right: 0;
    transform: translateX(100%);
    background-color: #212121;
    overflow-x: hidden;
    transition: 0.3s;
    box-shadow: -3px 3px 6px rgb(0 0 0 / 50%);
}

.header-sidenav {
    line-height: 0;
    display: flex;
    justify-content: space-between;
    align-content: center;
    align-items: center;
    background-color: #111111;
    padding-top: 18px;
    padding-bottom: 12px;
    padding-left: 20px;
    padding-right: 20px;
}

.header-sidenav h1 {
    font-size: 1rem;
}

.header-sidenav div {
    background-color: #212121;
    width: 41px;
    display: flex;
    justify-content: center;
    border-radius: 49px;
}

.header-sidenav div a {
    font-size: 2rem !important;
}

.sidenav a {
    margin: 0;
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 18px;
    padding-right: 18px;
    text-decoration: none;
    font-size: 1rem;
    color: #818181;
    display: block;
    transition: 0.3s;
    border-bottom: 1px solid #111111;
    text-transform: uppercase;
    font-weight: 800;
    color: #f9f9f9;
}

.contenido--tabla {
    display: flex;
    height: 100%;
    padding-top: 0.7rem;
}


/* The dropdown container */

.dropdown-btn {
    padding: 20px 18px 20px 18px;
    text-decoration: none;
    font-size: 1rem;
    font-weight: 800;
    text-transform: uppercase;
    color: #f9f9f9;
    display: block;
    border: none;
    border-bottom: 1px solid #111111;
    background: none;
    width: 100%;
    text-align: left;
    cursor: pointer;
    outline: none;
}

/* .dropdown-content .dropdown-btn{
    padding: 12px 16px;
    font-size: 0.8rem;
} */

.dropdown-container {
    display: none;
    background-color: #212121;
    padding-left: 8px;
}

.dropdown-container a{
    font-size: 0.8rem;
    text-transform: uppercase;
}

.fa-caret-down {
    float: right;
    padding-right: 8px;
}

.dropdownd {
    float: left;
    overflow: hidden;
    height: 100%;
    padding: 0 1rem;
}


/* Dropdown button */

.dropdownd .dropbtn {
    font-size: 0.8rem;
    height: 100%;
    font-weight: 600;
    border: none;
    outline: none;
    color: white;
    padding: 14px 16px;
    background-color: var(--dark);
    text-transform: uppercase;
    /* Important for vertical align on mobile phones */
    margin: 0;
    /* Important for vertical align on mobile phones */
}


/* Add a red background color to navbar links on hover */

.navbar a:hover,
.dropdownd:hover .dropbtn {
    background-color: var(--dark);
}


/* Dropdown content (hidden by default) */

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #212121;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}


/* Links inside the dropdown */

.dropdown-content a {
    float: none;
    color: var(--light);
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}


/* Add a grey background color to dropdown links on hover */

.dropdown-content a:hover {
    background-color: #212121;
}


/* Show the dropdown menu on hover */

.dropdownd:hover .dropdown-content {
    display: block;
}


/* Sidemenu Liga */

.sidemenu-liga {
    display: none;
    flex: 0 0 0%;
}

.control--sidemenu {
    display: flex;
    flex-direction: column;
    padding: 0 1rem 1rem 1rem;
}


/* Modulo Tabla */

.Modulo-TablaWrapper {
    position: relative;
    overflow-y: hidden;
    overflow-x: scroll;
    text-align: center;
    padding: 0;
    font-family: 'Rubik', sans-serif;
    color: #0f1923;
    width: 100%;
}

.Modulo-Tabla {
    padding: 0;
    margin: 0;
    list-style: none;
}

.TablaItem.TablaHeader {
    font-family: Tungsten, sans-serif;
    font-size: 5rem;
    color: white;
    text-transform: uppercase;
}

.TablaItem.TablaHeader div {
    background-color: #000;
    border: 1px solid #505050;
}

.TablaItem.TablaHeader div span {
    font-size: 1rem;
    font-weight: 600;
}

.TablaItem {
    position: relative;
    display: flex;
    height: 4rem;
    background-color: #e3dfd9;
}

.TablaItem div {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #e3dfd9;
    padding-top: 0.3rem;
    border-bottom: 3px solid rgba(189, 188, 183, 0.4);
}

.TablaItem-Date span,
.TablaItem-Placement span,
.TablaItem-Tier span,
.TablaItem-Type span,
.TablaItem-Tournament span,
.TablaItem-TeamResult span,
.TablaItem-Prize span {
    position: relative;
    overflow: visible;
    font-size: 0.9rem;
}

.TablaItem-Placement,
.TablaItem-Tier,
.TablaItem-Type,
.TablaItem-Tournament,
.TablaItem-TeamResult,
.TablaItem-Prize {
    background-color: #e3dfd9;
}

.TablaItem-Date,
.TablaItem-Tier,
.TablaItem-Type,
.TablaItem-TeamResult,
.TablaItem-Prize,
.TablaItem-Placement {
    min-width: 15rem;
}

.TablaItem-Tournament {
    min-width: 15rem;
}


/* Módulo Calendario */

.wrapper_calendario {
    position: relative;
    overflow-y: hidden;
    overflow-x: scroll;
    text-align: center;
    padding: 0;
    font-family: 'Rubik', sans-serif;
    width: 100%;
}

.calendario-juego {
    box-sizing: border-box;
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    flex-wrap: wrap;
    height: 80px;
    justify-content: flex-start;
    border-top: 1px solid var(--light);
    border-bottom: 1px solid var(--light);
    margin: 0 4px 0 8px;
    overflow: hidden;
}


/* Footer */

.container-footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 2rem 1rem 0 1rem;
}

.container-footer hr {
    width: 100%;
    border: 1px solid var(--secondary);
}

.liga--footer {
    position: absolute;
    width: 100%;
    background-color: #111;
}

.logo-footer {
    width: 6rem;
}

.lista-menu-footer {
    display: flex;
    flex-direction: column;
    text-align: center;
    padding: 1.5rem 0 0 0;
}

.lista-menu-footer a {
    text-decoration: none;
    text-transform: uppercase;
    color: var(--light);
    margin: 0.3rem 0;
    font-weight: 600;
}

.redes-sociales i {
    font-size: 1.5rem;
    margin: 1rem 0.5rem;
}

.copyright {
    padding: 1rem 0;
}

@media (min-width: 768px) {
    .container {
        padding: 0;
    }

    .hamburger {
        display: none;
    }

    .menu {
        display: flex;
        align-items: center;
    }

    .sidenav {
        display: none;
    }

    .lista-menu-footer {
        flex-direction: row;
    }

    .lista-menu-footer a {
        margin: 0 0.8rem;
    }

    .TablaItem-Date,
    .TablaItem-Tier,
    .TablaItem-Type,
    .TablaItem-TeamResult,
    .TablaItem-Prize,
    .TablaItem-Placement {
        min-width: none;
        width: 100%;
    }

    .TablaItem-Tournament {
        min-width: none;
        width: 100%;
    }
}

@media (min-width: 992px) {
    .Modulo-TablaWrapper {
        overflow: hidden;
    }

    .sidemenu-liga {
        flex: 0 0 12%;
        display: block;
    }
}